.property-bar-container {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;

  width: 260px;
  height: 100vh;
  padding-top: 56px;
  overflow-y: auto;

  background-color: var(--secondary-color);
  border-left: solid 1px var(--tertiary-color);
}

.property-bar-container::-webkit-scrollbar {
  width: 6px;
}

.property-bar-container::-webkit-scrollbar-thumb {
  background-color: var(--tertiary-color);
  border-radius: 5px;
}

.property-bar-container .property {
  width: 100%;
  height: fit-content;
  padding: 16px;
  border-bottom: solid 1px var(--tertiary-color);

  display: flex;
  flex-direction: column;
}

.property-bar-container .property .property-group {
  margin-bottom: 20px;
}

.property-bar-container .color-input {
  width: 100%;
  height: fit-content;

  display: flex;
  align-items: center;
  gap: 8px;
}

.property-bar-container .color-input input {
  cursor: pointer;
}

#canvas-color-input,
#shape-color-input,
#edit-color-input {
  background-color: transparent;
  border: none;
  border-radius: 3px;
}

.label-value {
  border: 1px solid var(--secondary-color);
  border-radius: 3px;
  padding: 4px 8px;

  align-items: center;
  gap: 5px;
}

.label-value:hover {
  border: 1px solid var(--tertiary-color);
}

.label-value .input .prop-input {
  height: 30px;
  width: 50px;
  padding: 0 8px;
  border: none;
  text-align: end;
  background-color: var(--primary-color);
  border-radius: 3px;
  color: var(--text-color);
}

.label-value label {
  height: 20px;

  display: flex;
  align-items: center;
  justify-content: left;
}

.label-value .input {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.projection {
  display: flex;
  justify-content: space-between;
  padding: 0px 8px;
  padding-top: 25px;
}

.projection #projection-type, #shape-gradient {
  display: flex;
  justify-content: center;
  background-color: var(--primary-color);
  color: var(--text-color);
  padding: 5px 5px;
}

.reset {
  display: flex;
  justify-content: center;
  padding: 0px 8px;
  padding-top: 25px;
}

.reset .reset-btn {
  padding: 8px 12px;
  display: flex;
  justify-content: center;
  background-color: var(--primary-color);
  color: var(--text-color);
}

.list-light {
  display: flex;
  justify-content: space-between;
  padding: 0px 8px;
  padding-top: 10px;
}

.component-editor {
  padding-top: 30px;
}